<template>
  <div class="form">
    <!-- 以element ui form 为例 -->
    <el-form
      class="form--container"
      :model="form"
      ref="form"
      :rules="rules"
      :width="200"
      label-width="80px"
    >
      <el-form-item prop="tel" label="Tel">
        <el-input v-model="form.tel" placeholder="请输入手机号码"></el-input>
      </el-form-item>
      <el-form-item prop="email" label="Email">
        <el-input v-model="form.email" placeholder="请输入邮箱"></el-input>
      </el-form-item>
    </el-form>

    <div class="form--footer">
      <el-button type="primary">提交</el-button>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    var validatorTel = (rule, value, callback) => {
      let reg = /^(135|186)\d{8}$/;
      if (reg.test(value)) {
        callback();
      } else {
        callback(new Error("请输入135/186开头的11位手机号码"));
      }
    };
    return {
      role: "product",
      form: {
        tel: "",
        email: ""
      },
      rules: {
        tel: [
          {
            required: true,
            trigger: ["blur", "change"],
            validator: validatorTel
          }
        ],
        email: [
          {
            required: true,
            message: "请输入邮箱",
            trigger: ["blur", "change"]
          }
        ]
      }
    };
  }
};
</script>

<style lang="scss" scoped>
.form {
  width: 600px;
  &--footer {
    padding: 18px;
    text-align: right;
  }
}
</style>
